+ Post New Thread
Page 358 of 642 FirstFirst ... 258 308 348 356 357 358 359 360 368 408 458 ... LastLast
Threads 8926 to 8950 of 16026

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 92,166
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 75,680
    18th Sep 2006 10:46 pm Go to last post
  1. Can't collect the same result

    Dear all, anyone can tell me why I put the same code into AutoCAD 2007 & 2011 is return result is not the same. (entget (vlax-vla-object->ename (vla-item (vla-item (vlax-ename->vla-object...

    Started by ahyin‎, 19th May 2011 10:49 am
    • Replies: 9
    • Views: 4,255
    23rd May 2011 03:29 am Go to last post
  2. Hyperbolic Spirals

    Hello All. I have been looking for a generic lisp routine for drawing an hiperbolic spiral and couldn't find it. However, Fuccaro has a script for a logarithmic spiral. Since I have no programing...

    Started by andregustavo‎, 24th Aug 2006 06:20 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 5,825
    22nd May 2011 11:32 pm Go to last post
  3. Unhappy distance between points in lines ?

    hii i have a drawing with 4 lines of points (each line of points with the same Y) . i have the coordinate of the points of each line in a list and all the lists in a list . so now i want to ...

    Started by yajis_narif‎, 21st May 2011 11:45 am
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 7,070
    22nd May 2011 09:20 pm Go to last post
  4. i need lisp for area and length?

    i need a lisp for multiple area suppose i have 10 boundaries i need area of them also if i slect multy object give total length and area so pls help me

    Started by afrazawan‎, 22nd May 2011 07:35 am
    • Replies: 3
    • Views: 3,415
    22nd May 2011 12:06 pm Go to last post
  5. Lisp for Overlapping Text - Move or Shrink

    Hi, Does anybody has a lisp that will move or shrink the text whenever is overlapping with another text or line? The job to re-arrange the texts is boring and I am sure that someone thought how...

    Started by pro100mir‎, 17th May 2011 02:06 pm
    3 Pages
    1 2 3
    • Replies: 21
    • Views: 11,046
    22nd May 2011 05:03 am Go to last post
  6. Width of Dimension Text

    Hello . I am trying to get the width of the Dimension Text with the following codes , but it seems that it's refused to give it to me .:lol: I did convert the vla-object to Autolisp entity to...

    Started by Tharwat‎, 20th May 2011 01:51 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 5,428
    21st May 2011 01:53 pm Go to last post
  7. I need lisp that divided text..

    I can not english well.. so I attached the file . you can understang easy..:)

    Started by Arin9916‎, 20th May 2011 04:22 am
    • Replies: 8
    • Views: 3,355
    21st May 2011 08:11 am Go to last post
  8. LISP for measuring distances between all similar blocks from custom insertion point

    So new to LISP it's ridiculous, and I need help. I'm doing some designs for lighting and sound, and I have sets of blocks at various points around a floorplan. I plan on making these blocks...

    Started by toper‎, 20th May 2011 06:10 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 9,489
    20th May 2011 11:38 pm Go to last post
  9. coordinates.

    Hi All, I am new in this forum, and I would like to ask how to get the x,y,z coordinates of the cursor and print and save it to a txt file by using LISP. I am using autocad 2011. Any help is...

    Started by marbenorallo‎, 19th May 2011 06:03 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 3,853
    20th May 2011 10:34 pm Go to last post
  10. Combine the _dimlinear and UCS Commands

    Any body help..here how to combine this both commands..I want combine this "Ucs" "e" and "_dimlinear" after command its should ask the select object for UCS position change after that automatic its...

    Started by johnpieter‎, 12th May 2011 08:38 am
    2 Pages
    1 2
    • Replies: 13
    • Views: 5,476
    20th May 2011 03:53 pm Go to last post
  11. Unhappy deleting a block and joining the 2 segments

    Ok folks, here is a cryout for help... let's assume ytou have to erase blocks from some lines in a drawing, and join the 2 lines that were interrupted by the block... I have this little Lisp but...

    Started by ademontis‎, 20th May 2011 10:50 am
    • Replies: 7
    • Views: 2,397
    20th May 2011 01:31 pm Go to last post
  12. Move Dynamic Text Property

    I'm trying to get some blocks with text in them to move perpendicular to a line selected by the user, so that the text is lined up properly. Attached is the code that I am using and a sample dwg....

    Started by Ohnoto‎, 23rd Mar 2011 01:49 pm
    3 Pages
    1 2 3
    • Replies: 27
    • Views: 9,818
    20th May 2011 01:07 pm Go to last post
  13. Insert block between selected objects

    I have some code from a guy that used to work for us where it inserts a block with the distance value at the midpoint between two points. I'd like to be able to adjust this to where it defaults to do...

    Started by Ohnoto‎, 8th May 2011 12:05 am
    2 Pages
    1 2
    • Replies: 16
    • Views: 5,593
    20th May 2011 12:31 pm Go to last post
  14. find tan(angle)

    how to find tan of angle in lisp my code tanA= x/y i know A and x how to get y ? help me.

    Started by kalai‎, 20th May 2011 08:09 am
    • Replies: 4
    • Views: 4,490
    20th May 2011 11:17 am Go to last post
  15. moving shadows

    I need to observe how shadows move on my 3d drawing. I'd like to save each (movie) frame as a bmp. At the moment, I change the time on the sun calculator. For example, If I want to see the...

    Started by rookie37‎, 20th May 2011 12:36 am
    • Replies: 0
    • Views: 1,364
    20th May 2011 12:36 am Go to last post
  16. Question Get Value of text string from a Block

    I have a family of Scale Bar blocks named 1bar, 2bar, 4bar, 8bar, 12bar, 16bar, etc each block has a piece of similar text in it i.e., 12" = 1'-0" , 6" = 1'-0" , 3" = 1'-0" , 1 1/2" =...

    Started by TMORRIS‎, 19th May 2011 03:22 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 4,183
    19th May 2011 08:42 pm Go to last post
  17. VLISP error

    Hi all I got a new system on which windows 7 premium 32 bit is installed. I installed AutoCAD 2010 on it. When I run my lisp code its gives following error "no function definition:...

    Started by gpd‎, 19th May 2011 11:35 am
    • Replies: 4
    • Views: 1,759
    19th May 2011 06:05 pm Go to last post
  18. Wipeout for pline

    I HAVE A LISP CREATE WIPEOUT FOR CIRCLE. BUT I CANT DO THIS WITH PLINE! CAN YOU HELP ME ! THANKS ALL ! (Defun c:WC () (command "undo" "be") (setq luubatdiem (getvar "osmode")) (setvar "osmode" 0)...

    Started by vnanhvu‎, 19th May 2011 03:30 pm
    • Replies: 2
    • Views: 2,620
    19th May 2011 04:09 pm Go to last post
  19. Custom Dialog Boxes

    I work for a manufacturing company. We use AutoCad to do our estimates. We take custom block and overlay them on tiff backgrounds of the architectural plans. Then we export the block info into...

    Started by Eric Beagley‎, 18th May 2011 10:58 pm
    custom blocks, dialog box
    • Replies: 3
    • Views: 1,584
    19th May 2011 03:33 pm Go to last post
  20. get the tangential point

    my coding (setq p1 '(500 200 0) (command "circle" ' (0 0 0) 10) now at this point i have to draw line from p1 to tangential point on circle. how can thisbe done? help me.

    Started by kalai‎, 19th May 2011 09:51 am
    • Replies: 5
    • Views: 1,887
    19th May 2011 01:43 pm Go to last post
  21. Question Custom Block Inserts

    Right... Perhaps someone can help me with this... I'm trying to create a series of shortcuts via Lisp Routines to insert a deseried block upon command. I dont need it to scale upon insert,...

    Started by Mostly Nice‎, 19th May 2011 10:01 am
    • Replies: 6
    • Views: 2,807
    19th May 2011 12:41 pm Go to last post
  22. import xyz coords

    Hi everyone, hope someone can help me, I got a lisp routine from the internet ( Jeffery P Sanders) for the importation of x,y,z coords from an Excel spreadsheet and the importing of x,y,z displays in...

    Started by liverpool‎, 18th May 2011 09:33 pm
    • Replies: 3
    • Views: 4,459
    19th May 2011 09:07 am Go to last post
  23. is it possible to "plot objects"

    is there a way to do this. I guess the only way would be to "zoom objects" then plot display. but how would you do this in one command?

    Started by MikeP‎, 16th May 2011 11:21 pm
    • Replies: 5
    • Views: 1,722
    19th May 2011 04:09 am Go to last post
  24. Question How to update drawing property with the most current rev block number and rev date

    Hi guys, I have one challenge that I need help with. I'm not sure how to go about doing this. And I'm not sure if lisp is able to determine the latest revision, if the block name is the same -...

    Started by kam1967‎, 25th Feb 2011 02:11 am
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 8,370
    18th May 2011 10:32 pm Go to last post
  25. labeling using autolisp

    my colleague made this lsip routine to measure and label lines but it does not work, please help. (defun C:LF() (setq en(car (entsel "\n Select Line: "))) (setq enlist(entget en) ...

    Started by autocrap‎, 27th Jul 2010 05:17 pm
    3 Pages
    1 2 3
    • Replies: 28
    • Views: 10,995
    18th May 2011 10:27 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts